Skip to main content
Version: 3.x

Debug flags

In this documentation you will find all debug flags Front-Commerce provides.

How to use​

Debug flags enable specific logs in Front-Commerce, helping developers to debug issues or understanding application behavior. To enable a debug flag, set the DEBUG environment variable in your project's root .env file. The DEBUG variable should be a comma-separated list of debug flags you wish to enable. Wildcards can be used to enable multiple flags at once.

Example:

# .env
DEBUG="front-commerce:graphql,front-commerce:adobe-b2b*

You can also use debug flags in CLI.

Example:

# bash
$ DEBUG="front-commerce:axios" pnpm dev

Convention​

Debug flags follow this naming convention:

front-commerce:<package>:<scope>:<componentName>

For cross-package features:

front-commerce:<featureName>

axios​

  • Debugs Axios HTTP requests and responses

front-commerce:adobe-b2b:company:companyCredit​

  • Debugs company credit data and company credit history

front-commerce:adobe-b2b:company:companyPermissions​

  • Debugs the company id and role of the current customer

front-commerce:adobe-b2b:store-credit:storeCreditLoader​

  • Debugs Store Credit

front-commerce:adyen:front-commerce:AdyenNotificationProcessor​

  • Debugs notifications when using Adyen as a Front-Commerce payment

front-commerce:adyen:front-commerce:loader​

  • Debugs when using Adyen as a Front-Commerce payment

front-commerce:adyen:magento2:AdyenAPI​

  • Debugs Adyen API version when using Magento 2 payment plugin

front-commerce:adyen:magento2:loader​

  • Debugs Adyen calls when using Adyen as a Magento 2 payment plugin

front-commerce:algolia:datasource​

  • Debugs the algolia configuration
  • Debugs the algolia search query and results in the loader
  • Returns the query parameters used in the query builder

front-commerce:algolia:magento2:algoliaConfigProvider​

  • Debugs the facets and the facets configuration when using Algolia with Magento 2 flavor

front-commerce:attraqt​

  • Debugs Attraqt API requests and responses

front-commerce:axios​

  • Debugs Authorization header when creating axios instance
  • Debugs OAuth tokens
  • Debugs errors when using `makeErrorLoggerInterceptor`
  • Debugs rejectOnGraphQLErrors

front-commerce:cache​

  • Core : Debugs cache information
  • Core : Debugs cache invalidation
  • Core : Debugs the request's body

front-commerce:cache:cart​

  • Core : Cart cache informations for Magento 1, Magento 2 and Gezy
  • Gezy : Debugs cart cache
  • Magento 1 : Debugs cart cache
  • Magento 2 : Debugs cart cache

front-commerce:cache:prismic​

  • Prismic : Debug Prismic cache operations
  • Prismic : Debug cache errors
  • Prismic : Debugs reference cache

front-commerce:cache:redis​

  • Core : Debugs Redis information (connection, invalidation, configuration)

front-commerce:cache:session​

  • Core : Debugs customer cache status and information for Magento 1 and Magento 2
  • Magento 1 : Debugs session customer cache
  • Magento 2 : Debugs session customer cache

front-commerce:cache:strategy​

  • Gezy : Debugs the per customer cache strategy
  • Magento 1 : Debugs the per currency cache strategy
  • Magento 1 : Debugs the per customer group cache strategy
  • Magento 1 : Debugs the per customer tax zone cache strategy
  • Magento 2 : Debugs the per admin role cache strategy
  • Magento 2 : Debugs the per customer group cache strategy
  • Magento 2 : Debugs the per customer tax zone cache strategy

front-commerce:cart​

  • Debugs error if the current cart options were not properly encoded

front-commerce:catalog​

  • Debug Magento 2 category search operations and GraphQL responses
  • Debug Magento 2 product search operations, filters, and GraphQL responses
  • Debug product category search operations in cache
  • Debugs category search operations in cache
  • Debugs product search queries and results

front-commerce:cms:services:mediaBackend​

  • CMS : Debugs the CMS MediaBackend (registration, resolution)

front-commerce:config​

  • Debugs created GraphQL schema
  • Debugs current shop URL and id
  • Debugs detected device information
  • Debugs service configuration errors

front-commerce:contentful:blocksContentType​

  • Debugs BlocksContentType

front-commerce:contentful:contentfulLoader​

  • Debugs Contentful request, response and error

front-commerce:contentful:makeGraphQLAxiosInstance​

  • Debugs GraphQL Axios instance debug

front-commerce:contentful:preview​

  • Debugs Contentful preview debug

front-commerce:contributionMode​

  • Debugs the storefront content directive

front-commerce:core:analytics​

  • Debugs the analytics plugin

front-commerce:core:analytics:ga4-measurement-protocol​

  • Debugs the GA4 measurement protocol plugin

front-commerce:core:events:external-integrations:redis​

  • Debug Redis serverevents operations

front-commerce:core:events:handlers:DebugEventHandler​

  • Debugs server events received

front-commerce:core:events:handlers:RedisServerEventHandler​

  • Debug Redis server event handler

front-commerce:core:events:store:file​

  • Debugs FileEventStore service

front-commerce:core:events:UserJourney​

  • Debugs UserJourney operations

front-commerce:core:extensions:componentMap​

  • Debugs the component map extension

front-commerce:core:extensions:contentComposition​

  • Debugs the generated content

front-commerce:core:extensions:contentCompositionMetadata​

  • Debugs the generated metadata virtual module and probed siblings

front-commerce:core:extensions:featureFlags​

  • Debugs the feature flag collections and returns the generated feature flags

front-commerce:core:graphqlCoreSchema:payment​

  • Debugs `placeOrderAfterPaymentReturn` mutation
  • Debugs payment command execution and handler matching
  • Debugs payment loader

front-commerce:core:resizedImage:createResizedImageResponse​

  • Debugs image resizing operations, caching, and error handling

front-commerce:core:resizedImage:imageResizer​

  • Debugs image resizing operations, caching, and error handling

front-commerce:core:server-events​

  • Debug server events cli operations

front-commerce:core:server:useServerTimingsPlugin​

  • Debugs useServerTimings plugin

front-commerce:core:services:cacheControl​

  • Debugs CacheControl service

front-commerce:core:services:domain-context-manager​

  • Debugs DomainEventBus service

front-commerce:core:services:dynamicRoutes​

  • Debugs DynamicRoutes service

front-commerce:core:services:maintenanceMode​

  • Debugs LeaderElector
  • Debugs health checks
  • Debugs the maintenance mode service

front-commerce:core:services:rateLimiter​

  • Debugs RateLimiter service

front-commerce:core:services:serverEventBus​

  • Debugs ServerEventBus service

front-commerce:core:services:serverTimings​

  • Debugs ServerTimings service

front-commerce:customer​

  • Debugs customer operations (authentication, registration, profile updates, address management)

front-commerce:gezy:http:createGezyRequestSignatureParams​

  • Debugs Gezy API service path for request signing

front-commerce:gezy:httpClient​

  • Debugs Gezy http client and displays playground url for each request

front-commerce:gezy:modules:catalog:search:SearchProductQuery​

  • Debug Gezy search product query

front-commerce:graphql​

  • Debugs GraphQL query/mutation execution responses and errors
  • Debugs the debug messages when using `maybeValue` function
  • Debugs the hardcoded value of resolvers
  • Warn when a mutation is not implemented
  • Warn when a resolver is not implemented

front-commerce:hipay:loaders​

  • Debug HiPay order method in HiPay loader

front-commerce:hipay:runtime​

  • Debug HiPay payment methods

front-commerce:magento1:checkout:checkoutLoader​

  • Debugs CheckoutLoader interactions

front-commerce:magento1:in-stock-alert:inStockAlertLoader​

  • Debugs in-stock alert subscription operations (retrieve, subscribe, unsubscribe)

front-commerce:magento1:order:makePaymentEventListener​

  • Debug Payment event processing and handling

front-commerce:magento2:checkout:checkoutLoader​

  • Debugs payment method operations and cart interactions (free payments, shipping, billing)

front-commerce:magento2:in-stock-alert:inStockAlertLoader​

  • Magento 2 : Debug in-stock alert subscription operations (retrieve, subscribe, unsubscribe)

front-commerce:magento2:order:makePaymentEventListener​

  • Debug payment event processing and handling

front-commerce:magento2:routes:impersonate​

  • Debug Magento 2 admin impersonation attempts and authorization

front-commerce:magento2:routes:injectRole​

  • Debug Magento 2 admin role injection operations and authorization

front-commerce:magento2:security:requestGuards​

  • Debug Magento 2 admin security checks (referrer validation, token verification)

front-commerce:magento2:user:magentoUserService​

  • Debug Magento user creation and authentication state changes

front-commerce:payment:buybox​

  • Debugs BuyBox loader operations

front-commerce:payment:hipay:webhooks​

  • Debug Hipay webhook body

front-commerce:pledg:config:gezy​

  • Logs the Pledg configuration resolved from Gezy (active flag + resolved modules)

front-commerce:pledg:graphql:paymentPlans​

  • Debugs the Pledg `paymentPlans` GraphQL resolver and its mapping

front-commerce:prismic:core:images​

  • Debugs conversion of prismic image url to proxy path

front-commerce:prismic:core:loaders​

  • Debug Prismic loader

front-commerce:prismic:core:loaders:transformBody​

  • Debug Prismic body transformation

front-commerce:prismic:core:loaders:transformFields​

  • Debug Prismic fields transformation

front-commerce:prismic:dependency-injection:client​

  • Debug Prismic fetch operations

front-commerce:prismic:integration-fields​

  • Outputs debug information for integration fields endpoint

front-commerce:prismic:routes:preview​

  • Debug Prismic preview mode

front-commerce:prismic:routes:webhook​

  • Debug Prismic webhook operations

front-commerce:remix:config:defineFrontCommerceRoutes​

  • Debugs defined routes in the application

front-commerce:remix:express:createRequestHandler:inMemoryDynamicRouteCaching​

  • Debugs the experimental in-memory dynamic route matcher

front-commerce:remix:express:shopFallback​

  • Debugs shop fallback operations

front-commerce:remix:routes:api:maintenanceMode​

  • Debug maintenance mode operations

front-commerce:remix:routes:api:maintenanceMode:health​

  • Debug maintenance mode health check operations

front-commerce:remix:server:express:dynamicRoutes​

  • Debug dynamic routes operations

front-commerce:remix:server:express:maintenanceModeHandler​

  • Debugs the IP address of the current client and the list of IP addresses that are authorized to bypass maintenance mode

front-commerce:remix:vite:plugins:frontCommerceCodegen​

  • Debugs the GraphQL Codegen

front-commerce:server-events:integrations:analytics​

  • Debug Analytics server-events operations

front-commerce:server-events:integrations:webhook​

  • Debug server-event Webhooks operations

front-commerce:server-events:redis​

  • Debug Redis connection operations

front-commerce:stripe:adobe-b2b:loader​

  • Abode B2B : Debug payment operations (quote, customer, payment intent)

front-commerce:stripe:common:getOrCreateCustomer​

  • Debugs created or existing Stripe customer

front-commerce:stripe:common:logErrorAndThrow​

  • Debug Stripe error

front-commerce:theme-chocolatine:routes:checkout​

  • Debug payment errors

front-commerce:user​

  • Debugs Gezy user creation and authentication state changes